#!/c/Perl/bin//perl -w
#
# $Id: mknmz-1.pl.in,v 1.1.4.4 2006-01-10 19:37:18 opengl2772 Exp $
# Copyright (C) 2004-2006 Tadamasa Teranishi
#               2004-2006 Namazu Project All rights reserved.
#     This is free software with ABSOLUTELY NO WARRANTY.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either versions 2, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA
#
#  This file must be encoded in EUC-JP encoding
#
#

#
# Test for simple indexing.
#

use strict;
require Cwd;
require 'pltests.pl';

my $cwd = Cwd::cwd();
my $LOG = "$cwd/test-log";
my $TARGET = pltests::selectdata();
my $INDEX = "$cwd/idx1";
my $MKNMZ = pltests::binpath('mknmz');

my @cmd;

sub current_dir_filenum ($) {
    my ($targetdir) = @_;
    my $filenum;
    opendir(DIR, $targetdir);
    while (defined(my $dir = readdir(DIR))) {
        $filenum++;
    }
    closedir(DIR);
    return $filenum;
}

# help
@cmd = ("$MKNMZ", "--help");
pltests::putline($LOG, "  *** ", \@cmd);
pltests::logsyscmd($LOG, \@cmd);

# show-config
@cmd = ("$MKNMZ", "-C");
pltests::putline($LOG, "  *** ", \@cmd);
pltests::logsyscmd($LOG, \@cmd);

pltests::putline($LOG, "  *** starting $0");

if (-d "$INDEX") {
    unlink(<$INDEX/NMZ.*>);
} else {
    mkdir("$INDEX", 0755);
}

my $origfilenum = current_dir_filenum($TARGET);

# Simple indexing.
@cmd = ("$MKNMZ", "-O", "$INDEX", "$TARGET");
pltests::putline($LOG, "  *** ", \@cmd);
my $status = pltests::logsyscmd($LOG, \@cmd);

exit 101 if ($status != 0);
exit 1 if ($origfilenum != current_dir_filenum($TARGET));
exit 0;

